Qt 5.6 | Qt 3D | C++ Classes | QSphereGeometry

Qt 5.6.3 Reference Documentation

# QSphereGeometry Class

(Qt3DRender::QSphereGeometry)

Header: | #include <QSphereGeometry>
qmake: | QT += 3drender
Instantiated By: | SphereGeometry
Inherits: | QGeometry

- List of all members, including inherited members

## Properties

- generateTangents : bool
- indexAttribute : Qt3DRender::QAttribute * const
- normalAttribute : Qt3DRender::QAttribute * const
- positionAttribute : Qt3DRender::QAttribute * const
- radius : float

- rings : int
- slices : int
- tangentAttribute : Qt3DRender::QAttribute * const
- texCoordAttribute : Qt3DRender::QAttribute * const

- 2 properties inherited from Qt3DRender::QGeometry
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QSphereGeometry(QNode *parent = Q_NULLPTR)
| ~QSphereGeometry()
bool | generateTangents() const
QAttribute * | indexAttribute() const
QAttribute * | normalAttribute() const
QAttribute * | positionAttribute() const
float | radius() const
int | rings() const
int | slices() const
QAttribute * | tangentAttribute() const
QAttribute * | texCoordAttribute() const
void | updateIndices()
void | updateVertices()

- 5 public functions inherited from Qt3DRender::QGeometry
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setGenerateTangents(bool gen)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

- 1 public slot inherited from Qt3DRender::QGeometry
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | generateTangentsChanged(bool generateTangents)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

- 1 signal inherited from Qt3DRender::QGeometry
- 2 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DRender::QGeometry
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### generateTangents : bool

Holds the value of the automatic tangent generation flag.

Access functions:

bool | generateTangents() const
void | setGenerateTangents(bool gen)

Notifier signal:

void | generateTangentsChanged(bool generateTangents)

### indexAttribute : Qt3DRender::QAttribute * const

Holds the geometry index attribute.

Access functions:

QAttribute * | indexAttribute() const

### normalAttribute : Qt3DRender::QAttribute * const

Holds the geometry normal attribute.

Access functions:

QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute * const

Holds the geometry position attribute.

Access functions:

QAttribute * | positionAttribute() const

### radius : float

Holds the radius of the sphere.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the sphere.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the sphere.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)

### tangentAttribute : Qt3DRender::QAttribute * const

Holds the geometry tangent attribute.

Access functions:

QAttribute * | tangentAttribute() const

### texCoordAttribute : Qt3DRender::QAttribute * const

Holds the geometry texture coordinate attribute.

Access functions:

QAttribute * | texCoordAttribute() const

## Member Function Documentation

### QSphereGeometry::QSphereGeometry(QNode *parent = Q_NULLPTR)

Constructs a new QSphereGeometry with parent.

### QSphereGeometry::~QSphereGeometry()

Destroys this geometry.

### void QSphereGeometry::updateIndices()

Updates indices based on rings and slices.

### void QSphereGeometry::updateVertices()

Updates vertices based on rings and slices.